/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail;

/**
 * Practically useless interface.  Will only ever be invoked via JMX, but this is here to support the 
 * contract regardless of whether it will ever be required by the compiler.  Makes the code a little 
 * clearer I suppose.  Saves on Javadoc....I dunno it just felt good.
 *  @author Andrew C. Oliver
 */
public interface ServiceProxyFactory {
    /**
     * Produce a ServiceProxy which UserRepositories and MailListeners use to communicate back up to the
     * underlying JMX MBean.
     * @return ...
     */
    public ServiceProxy produceServiceProxy();
}
