/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.dev.prot;

import java.io.*;

/** 
 * @author <a href='mailto:mikea@xoba.com'>mike andrews</a>
 */	
public class ConnectModule extends AbstractModule {

    private Integer responseCode;

    public boolean getValue() {
	try {
	    getManager().connect();
	    return true;
	} catch (IOException e) {
	    setStatus("can't connect to server " + getManager().getHost() + ":" + getManager().getPort() +
		      "\n\n[this test probably requires network access and \nsetting up a separate JBOSS/SMTP server somewhere]");
	    return false;
	}
    }

}
