/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.dev.prot;

import java.io.*;

/** 
 * @author <a href='mailto:mikea@xoba.com'>mike andrews</a>
 */	
public class DisconnectModule extends AbstractModule {

    private Integer responseCode;

    public DisconnectModule() { }

    public boolean getValue() {
	try {
	    getManager().disconnect();
	    return true;
	} catch (IOException e) {
	    return false;
	}
    }

}
