/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.maillist.entity.bean;

import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;

/**
 * @author <a href="kabirkhan@bigfoot.com">Kabir Khan</a>
 *
 */
public interface MailListMemberLocalHome extends EJBLocalHome {
	MailListMemberLocal create(String mailListAddress, String email) throws CreateException;
	MailListMemberLocal findByPrimaryKey(MailListMemberPK pk) throws FinderException;
}
