/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.util;

/**
 * immutable side of KeyedValueObject - used for lists of keyed values (when we don't really need a hash)
 * @author Andrew C. Oliver
 */
public interface KeyedValue {

    /**
     * @return key (left side)
     */
    String getKey();

    /**
     * @return value object
     */
    Object getValue();

}
