/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.maillist.entity.bean;

import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;

import org.jboss.mail.maillist.MailListProperties;

/**
 * @author <a href="kabirkhan@bigfoot.com">Kabir Khan</a>
 *
 */
public interface MailListLocalHome extends EJBLocalHome {
	MailListLocal create(String listAddress, MailListProperties properties)throws CreateException;

	MailListLocal findByPrimaryKey(String listAddress)throws FinderException;
}
