/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.maillist.entity.bean;

/**
 * @author <a href="kabirkhan@bigfoot.com">Kabir Khan</a>
 *
 */
public class MailListMemberPK {
	public String listAddress;
	public String memberEmail;
	
	public MailListMemberPK(){
	}
	
	public MailListMemberPK(String listAddress, String memberEmail){
		this.listAddress = listAddress;
		this.memberEmail = memberEmail;
	}
	
	public boolean equals(Object obj) {
		try{
			MailListMemberPK pk = (MailListMemberPK)obj;
			if(pk.memberEmail.equals(this.memberEmail)){
				return pk.listAddress.equals(this.listAddress);
			}
		}catch(ClassCastException e){
		}
		return false;
	}

	public int hashCode() {
		return (listAddress + memberEmail).hashCode();
	}

}
