/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.maillist.memory;

import org.jboss.mail.ServiceProxyFactory;
import org.jboss.mail.maillist.MailListManager;
import org.jboss.system.ServiceMBean;
import org.w3c.dom.Element;

/**
* MBean interface for the memory bean implementation of the MailListManager MBean
* @author <a href="kabirkhan@bigfoot.com">Kabir Khan</a>
*/
public interface MemoryMailListManagerMBean extends ServiceMBean, ServiceProxyFactory, MailListManager {
	/** Initialise the MemoryMailListManager MBean with xml data
	 * 
	 * @param mailingLists
	 */
	void setMailingLists(Element mailingLists);	
}
