/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.util;

import java.util.HashMap;

import junit.framework.TestCase;

/**
 * Tests that the KeyedValueObject contains keys and values and returns the correct thing per getKey
 * and getValue()...
 * @author Andrew C. Oliver
 */
public class TestKeyedValueObject extends TestCase {
    //nothing

    public TestKeyedValueObject(String name){
        super(name);
    }

    public static void main(String[] args) {
        junit.textui.TestRunner.run(TestKeyedValueObject.class);
    }

    public void testKeyedValueObject() {
        KeyedValue kv = new KeyedValueObject("key", new HashMap());
        assertEquals(kv.getKey(), "key");
        assertTrue(
            "kv.getValue() should be an instance of hashmap",
            kv.getValue() instanceof HashMap);
    }

}
